require_relative "server_operation_error"

module Devops
  module Exception
    class CreationError < ServerOperationError

      def error_code
        Devops::Executor::ServerOperationResult.code_of_reason(:creating_server_in_cloud_failed)
      end

      def operation_type
        Devops::Model::Server::OperationType::CREATION
      end

      def error_message msg
        "Failed while launching server in cloud: #{msg}"
      end

    end
  end
end
